Waiting for engine...
Skip to main content

Boomi Platform API Reference (1.0.0) - getAssignableRoles

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Retrieve a list of roles assignable to users under an account.

Retrieve assignable roles

You can use the getAssignableRoles operation to retrieve a list of roles that are assignable under an account.

Authorizations:
basicAuth

Responses

Response Schema:
Array of objects (Role)
Array
name
string

The name of the role.

parentId
string

The ID of the role from which this role inherits privileges.

object (Role_Privileges)

One or more privileges assigned to the role.

id
string

The ID of the role.

ReasonForAction
string
accountId
string

The account ID under which the role exists.

Description
string

Description of the role

Response samples

Content type
{
  • "@type": "",
  • "Role": [
    • {
      },
    • {
      },
    • {
      },
    • {
      },
    • {
      },
    • {
      }
    ]
}